## EntangleControlRange EntangleControlRange |

## Functions

EntangleControlRange * | entangle_control_range_new ()
float | entangle_control_range_get_min ()
float | entangle_control_range_get_max ()
float | entangle_control_range_get_step ()

## Properties

gfloat | range-max | Read / Write / Construct Only
gfloat | range-min | Read / Write / Construct Only
gfloat | range-step | Read / Write / Construct Only
gfloat | value | Read / Write

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ╰── EntangleControlRange

## Description

## Functions

### entangle_control_range_new ()

    EntangleControlRange *
    entangle_control_range_new (const char *path,
                                int id,
                                const char *label,
                                const char *info,
                                gboolean readonly,
                                float min,
                                float max,
                                float step);

### entangle_control_range_get_min ()

    float
    entangle_control_range_get_min (EntangleControlRange *range);

### entangle_control_range_get_max ()

    float
    entangle_control_range_get_max (EntangleControlRange *range);

### entangle_control_range_get_step ()

    float
    entangle_control_range_get_step (EntangleControlRange *range);

## Types and Values

## Property Details

### The `“range-max”` property

      “range-max”                gfloat

Maximum range value.

Flags: Read / Write / Construct Only

Allowed values: [-1e+07,1e+07]

Default value: 0

### The `“range-min”` property

      “range-min”                gfloat

Minimum range value.

Flags: Read / Write / Construct Only

Allowed values: [-1e+07,1e+07]

Default value: 0

### The `“range-step”` property

      “range-step”               gfloat

Increment for range steps.

Flags: Read / Write / Construct Only

Allowed values: [-1e+07,1e+07]

Default value: 0

### The `“value”` property

      “value”                    gfloat

Current control value.

Flags: Read / Write

Allowed values: [-1e+07,1e+07]

Default value: 0